package com.ur.urcap.externalaxis.coordinatedmotionprogrammer.impl;

import com.ur.urcap.api.contribution.program.swing.SwingProgramNodeService;

import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;

/**
 * Activator for World Model Bridge URCAPS contribution
 *
 */
public class Activator implements BundleActivator {
  @Override
  public void start(BundleContext bundleContext) throws Exception {

    // Add program nodes for convnience
    bundleContext.registerService(SwingProgramNodeService.class,
        new MoveCWithAxisGroupNodeService(), null);
    bundleContext.registerService(SwingProgramNodeService.class,
        new MovePWithAxisGroupNodeService(), null);
    bundleContext.registerService(SwingProgramNodeService.class,
        new CoordinatedProcessProgramNodeService(),
        null);
  }

  @Override
  public void stop(BundleContext bundleContext) throws Exception {
  }
}
