This SDK includes five reference designs that demonstrate the integration of MotionPlus URScript and EtherCAT calls for creating URCaps. The reference designs are:

1. **Axis Group Jogging**: Demonstrates how to jog an axis in a group.
2. **Calibrate Rotary Axis**: Provides a GUI interface for calibrating a rotary axis using the robot TCP.
3. **Coordinated Motion Programming**: Showcases coordinated motion using *MoveP* and *MoveC* program nodes.
4. **EtherCAT Axis Configuration**: Illustrates the configuration parameters needed to configure an axis using EtherCAT.
5. **Move To**: Demonstrates how to move an axis to a given position and allows for enabling frame tracking whilst performing the move.
6. **Calibrate Linear Axis**: Provides a GUI interface for calibrating a linear axis using the robot TCP. 

(Please see the individual README files in each project for more details about the URCaps)


These designs serve as practical examples to guide developers in creating custom URCaps with advanced motion control capabilities.