/*
MIT License

Copyright (c) 2019 Oleksandr Shaposhnikov

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.

https://github.com/o5h/skynet
*/
package com.ur.urcap.externalaxis.axisgroupjogging.rtde;

public interface RTDEProtocol {
    int RTDE_REQUEST_PROTOCOL_VERSION = 86; //V
    int RTDE_GET_URCONTROL_VERSION = 118;//	v
    int RTDE_TEXT_MESSAGE = 77;//	M
    int RTDE_DATA_PACKAGE = 85;//	U
    int RTDE_CONTROL_PACKAGE_SETUP_OUTPUTS = 79;//	O
    int RTDE_CONTROL_PACKAGE_SETUP_INPUTS = 73;// I
    int RTDE_CONTROL_PACKAGE_START = 83;//	S
    int RTDE_CONTROL_PACKAGE_PAUSE = 80; // P
}
