package com.ur.urcap.externalaxis.coordinatedmotionprogrammer.impl;

import java.util.Locale;

import com.ur.urcap.api.contribution.ViewAPIProvider;
import com.ur.urcap.api.contribution.program.ContributionConfiguration;
import com.ur.urcap.api.contribution.program.CreationContext;
import com.ur.urcap.api.contribution.program.ProgramAPIProvider;
import com.ur.urcap.api.contribution.program.swing.SwingProgramNodeService;
import com.ur.urcap.api.domain.data.DataModel;

public class MoveCWithAxisGroupNodeService
    implements SwingProgramNodeService<MoveCWithAxisGroupNodeContribution, MoveCWithAxisGroupNodeView> {

  public MoveCWithAxisGroupNodeService() {
  }

  @Override
  public String getId() {
    return "MoveCWithAxisGroup";
  }

  @Override
  public String getTitle(Locale locale) {
    return "MoveC with Axis Group";
  }

  @Override
  public void configureContribution(ContributionConfiguration configuration) {
    configuration.setUserInsertable(false);
  }

  @Override
  public MoveCWithAxisGroupNodeView createView(ViewAPIProvider apiProvider) {
    return new MoveCWithAxisGroupNodeView(apiProvider, new V5Style());
  }

  @Override
  public MoveCWithAxisGroupNodeContribution createNode(ProgramAPIProvider apiProvider, MoveCWithAxisGroupNodeView view,
      DataModel model, CreationContext context) {

    return new MoveCWithAxisGroupNodeContribution(apiProvider, view, model);
  }
}
