package com.ur.urcap.externalaxis.linearaxiscalibration.installationNode;

import com.ur.urcap.api.contribution.ViewAPIProvider;
import com.ur.urcap.api.contribution.installation.ContributionConfiguration;
import com.ur.urcap.api.contribution.installation.CreationContext;
import com.ur.urcap.api.contribution.installation.InstallationAPIProvider;
import com.ur.urcap.api.contribution.installation.swing.SwingInstallationNodeService;
import com.ur.urcap.api.domain.data.DataModel;

import com.ur.urcap.externalaxis.linearaxiscalibration.installationNode.installationNodeContribution.LinearAxisCalibrationInstallationNodeContribution;
import com.ur.urcap.externalaxis.linearaxiscalibration.installationNode.installationNodeView.LinearAxisCalibrationInstallationNodeView;

import java.util.Locale;

public class LinearAxisCalibrationInstallationNodeService implements SwingInstallationNodeService<LinearAxisCalibrationInstallationNodeContribution, LinearAxisCalibrationInstallationNodeView> {

	@Override
	public void configureContribution(ContributionConfiguration configuration) {
	}

	@Override
	public String getTitle(Locale locale) {
		return "Linear Axis Calibration";
	}

	@Override
	public LinearAxisCalibrationInstallationNodeView createView(ViewAPIProvider apiProvider) {
		return new LinearAxisCalibrationInstallationNodeView();
	}

	@Override
	public LinearAxisCalibrationInstallationNodeContribution createInstallationNode(
			InstallationAPIProvider apiProvider,
			LinearAxisCalibrationInstallationNodeView view,
			DataModel model,
			CreationContext context) {
		return new LinearAxisCalibrationInstallationNodeContribution(view);
	}
}
